View Issue Details

IDProjectCategoryView StatusLast Update
0002488SymmetricDS ProImprovementpublic2016-05-17 13:02
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.28 
Target Version3.7.33Fixed in Version3.7.33 
Summary0002488: Improve Batch Displays
DescriptionAdd the option to show the external id on the incoming and outgoing batch panels.
Some customers that use the external id primary to identify nodes would benefit from being able to link the node id to the external on the incoming and outgoing batch panels. See the attached screen shot for the net effect of the change.
- Also show the first table in the batch on the outgoing batch screen.
TagsNo tags attached.

Activities

mmichalek

2016-02-04 13:21

administrator  

sym-screenshot.png (325,563 bytes)

mmichalek

2016-05-03 00:48

administrator   ~0000788

Removed cache in NodeService, which was causing side-effects. Instead the batch panels are careful about how they obtain the external ids.

Related Changesets

SymmetricDS: 3.7 d26af8ea

2016-02-04 13:24:01

mmichalek

Details Diff
0002488: Add the option to show the external id on the incoming and
outgoing batch panels.

0002488
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockNodeService.java Diff File

SymmetricDS: 3.7 2bb50bfb

2016-02-08 09:37:05

mmichalek

Details Diff
0002488: Improve Batch Displays
0002488
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockNodeService.java Diff File

SymmetricDS: 3.7 04a57617

2016-05-03 00:53:24

mmichalek

Details Diff
0002488: Improve Batch Displays. Removed cache that was causing
side-effects.

0002488
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RefreshCacheJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockNodeService.java Diff File

Issue History

Date Modified Username Field Change
2016-02-04 13:21 mmichalek New Issue
2016-02-04 13:21 mmichalek Status new => assigned
2016-02-04 13:21 mmichalek Assigned To => mmichalek
2016-02-04 13:21 mmichalek File Added: sym-screenshot.png
2016-02-04 14:00 mmichalek Changeset attached => SymmetricDS 3.7 d26af8ea
2016-02-08 09:36 mmichalek Summary Add the option to show the external id on the incoming and outgoing batch panels. => Improve Batch Displays
2016-02-08 09:36 mmichalek Description Updated View Revisions
2016-02-08 10:00 mmichalek Changeset attached => SymmetricDS 3.7 2bb50bfb
2016-02-12 09:23 mmichalek Status assigned => closed
2016-02-12 09:23 mmichalek Resolution open => fixed
2016-02-12 09:23 mmichalek Fixed in Version => 3.7.29
2016-05-03 00:47 mmichalek Status closed => feedback
2016-05-03 00:47 mmichalek Resolution fixed => reopened
2016-05-03 00:47 mmichalek Status feedback => resolved
2016-05-03 00:47 mmichalek Resolution reopened => fixed
2016-05-03 00:47 mmichalek Fixed in Version 3.7.29 => 3.7.33
2016-05-03 00:47 mmichalek Status resolved => feedback
2016-05-03 00:47 mmichalek Resolution fixed => reopened
2016-05-03 00:48 mmichalek Note Added: 0000788
2016-05-03 00:48 mmichalek Status feedback => assigned
2016-05-03 00:48 mmichalek Status assigned => resolved
2016-05-03 00:48 mmichalek Resolution reopened => fixed
2016-05-03 00:50 mmichalek Status resolved => feedback
2016-05-03 00:50 mmichalek Resolution fixed => reopened
2016-05-03 00:50 mmichalek Target Version 3.7.29 => 3.7.33
2016-05-03 00:50 mmichalek Status feedback => resolved
2016-05-03 00:50 mmichalek Resolution reopened => fixed
2016-05-03 01:00 mmichalek Changeset attached => SymmetricDS 3.7 04a57617
2016-05-17 13:02 chenson Status resolved => closed